http_post_fields
http_put_file
Funções para HTTP
PHP Manual

# http_put_data

(PECL pecl_http >= 0.25.0)

http_put_data — Perform PUT request with data

### Descrição

string http_put_data ( string `$url` [, string `$data` [, array `$options` [, array `&$info` ]]] )

Performs an HTTP PUT request on the supplied url.

Veja a lista completa de opções da requisição.

### Parâmetros

`url`

  URL

`data`

  PUT request body

`options`

  opções da requisição

`info`

  Informações de requisição/resposta

### Valor Retornado

Retorna a(s) resposta(s) HTTP como uma string em caso de sucesso, ou `FALSE` em caso de falha.

http_post_fields
http_put_file
Funções para HTTP
PHP Manual